<!DOCTYPE html>
<html lang="hu">
    <head>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="design.css">
        <title>Regisztrációs adatok módosítása</title>
    </head>
    <body>
        <div class="egyseg">
            <header><h1>Regisztrációs adatok módosítása</h1></header>
            <form method="POST" action="/adatokModositasa">
                <table>
                    <tr>
                        <td>Név:</td>
                        <td class="oszlop"><input type="text" name="teljesNev" value="<%= adatok.nev %>"></td>
                    </tr>
                    <tr>
                        <td>Felhasználónév:</td>
                        <td class="oszlop"><input type="text" name="felhasznaloNev" value="<%= adatok.felhasznalonev %>"></td>
                    </tr>
                    <tr>
                        <td>Régi jelszó:</td>
                        <td><input type="password" name="regiJelszo"></td>
                    </tr>
                    <tr>
                        <td>Új jelszó:</td>
                        <td class="oszlop"><input type="password" name="jelszo"></td>
                    </tr>
                </table>
                <span class="kozep"><input type="submit" value="Módosítás" class="button"></span><br><br>
            </form>
            <div name="hibauzenetek" class="egyseg">
                <% if (typeof hibakod !== 'undefined') { %>
                    <%= hibakod %>
                    <p>Hiba merült fel!</p>
                    <% if (hibakod === '1') { %>
                        <p>Saját adatai módosításához meg kell adnia eddigi jelszavát!</p>
                    <% } else if (hibakod === '2') {%>
                        <p>A megadott jelszó helytelen! Kérem próbálkozzon még egyszer!</p>
                    <% } else if (hibakod === '3') {%>
                        <p>A megadott felhasználónév már foglalt! Kérem válasszon egy másik felhasználónevet!</p>
                    <% } %>
                <% } %>
            </div>
        </div>
    </body>
</html>